package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiHazUi;

/**
 * 危险源UI统计 服务层
 */
public interface ITBusiHazUiService {

    /**
     * 查询危险源UI统计信息
     * @param guid 查询条件
     * @return 危险源UI统计信息
     */
    TBusiHazUi selectTBusiHazUiByGuid(String guid);

    /**
     * 查询危险源UI统计列表
     * @param tBusiHazUi 危险源UI统计查询条件
     * @return 危险源UI统计集合
     */
    List<TBusiHazUi> selectTBusiHazUiList(TBusiHazUi tBusiHazUi);

    /**
     * 新增危险源UI统计
     * @param tBusiHazUi 危险源UI统计信息
     * @return 影响行数
     */
    int insertTBusiHazUi(TBusiHazUi tBusiHazUi);

    /**
     * 修改危险源UI统计
     * @param tBusiHazUi 危险源UI统计信息
     * @return 影响行数
     */
    int updateTBusiHazUi(TBusiHazUi tBusiHazUi);

    /**
     * 删除危险源UI统计
     * @param guid 危险源UI统计主键
     * @return 影响行数
     */
    int deleteTBusiHazUiByGuid(String guid);

    /**
     * 批量删除危险源UI统计
     * @param guids 危险源UI统计主键数组
     * @return 影响行数
     */
    int deleteTBusiHazUiByGuids(String[] guids);
}
